Patchwork [5/5] libgpg-error: use <pkg>_CONFIG_SCRIPTS

login
register
mail settings
Submitter Thomas Petazzoni
Date Feb. 6, 2013, 11:10 p.m.
Message ID <1360192218-30930-6-git-send-email-thomas.petazzoni@free-electrons.com>
Download mbox | patch
Permalink /patch/218798/
State Accepted
Commit 5ff6989445eac9ce59a5041c656bcb0319dce0eb
Headers show

Comments

Thomas Petazzoni - Feb. 6, 2013, 11:10 p.m.
libgpg-error installs a gpg-error-config script, but it wasn't fixed
up properly. Use the <pkg>_CONFIG_SCRIPTS to handle this.

Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
---
 package/libgpg-error/libgpg-error.mk |    1 +
 1 file changed, 1 insertion(+)
Samuel Martin - Feb. 7, 2013, 2:44 p.m.
2013/2/7 Thomas Petazzoni <thomas.petazzoni@free-electrons.com>:
> libgpg-error installs a gpg-error-config script, but it wasn't fixed
> up properly. Use the <pkg>_CONFIG_SCRIPTS to handle this.
>
> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Acked-by: "Samuel Martin" <s.martin49@gmail.com>

Patch

diff --git a/package/libgpg-error/libgpg-error.mk b/package/libgpg-error/libgpg-error.mk
index 288165b..4114310 100644
--- a/package/libgpg-error/libgpg-error.mk
+++ b/package/libgpg-error/libgpg-error.mk
@@ -9,5 +9,6 @@  LIBGPG_ERROR_SITE = ftp://ftp.gnupg.org/gcrypt/libgpg-error
 LIBGPG_ERROR_LICENSE = LGPLv2.1+
 LIBGPG_ERROR_LICENSE_FILES = COPYING.LIB
 LIBGPG_ERROR_INSTALL_STAGING = YES
+LIBGPG_ERROR_CONFIG_SCRIPTS = gpg-error-config
 
 $(eval $(autotools-package))